[arch-commits] Commit in geonkick/trunk (PKGBUILD)

David Runge dvzrv at archlinux.org
Fri Jul 24 16:07:44 UTC 2020


    Date: Friday, July 24, 2020 @ 16:07:43
  Author: dvzrv
Revision: 665171

upgpkg: geonkick 2.3.0-1: Upgrade to 2.3.0.

Open upstream ticket about failing lv2lint test.

Modified:
  geonkick/trunk/PKGBUILD

----------+
 PKGBUILD |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2020-07-24 15:44:11 UTC (rev 665170)
+++ PKGBUILD	2020-07-24 16:07:43 UTC (rev 665171)
@@ -1,7 +1,7 @@
 # Maintainer: David Runge <dvzrv at archlinux.org>
 
 pkgname=geonkick
-pkgver=2.2.3
+pkgver=2.3.0
 pkgrel=1
 pkgdesc="A free software percussion synthesizer"
 arch=('x86_64')
@@ -13,7 +13,8 @@
 checkdepends=('lv2lint')
 optdepends=('jack: for standalone application')
 source=("https://gitlab.com/iurie/geonkick/-/archive/v${pkgver}/$pkgname-v$pkgver.tar.gz")
-sha512sums=('45faaddc1941d923d8103eb3eb8cce6fd3f2f475be2696aa87876bed1e40409870cbcc626443fcfb3912c92423a2523996b5dc00a53c2736cf6102209a53d1e6')
+sha512sums=('8ac58af8e6b4969a0aecf286c37fa0400ed601c550f89c9c6da562c01e3399dc85c42c7a41c816250b78f6788b32196c6389b91d62695d3d91a177d295f72696')
+b2sums=('21889be50f179092a2699b56b22823c88a15fb36a1acfb963d0399ba5b3c08d300ad09394bcfeb29a075a62ed153082e706e934a366e5999647dbc215414f8c8')
 
 prepare() {
   mv -v "$pkgname-v$pkgver" "$pkgname-$pkgver"
@@ -34,7 +35,7 @@
   cd "$pkgname-$pkgver"
   cp -av build/plugin/lv2/*.so plugin/lv2/${pkgname}.lv2/
   lv2lint -Mpack -I "${PWD}/plugin/lv2/${pkgname}.lv2/" \
-          "http://geontime.com/geonkick"
+          "http://geontime.com/geonkick" || echo "https://gitlab.com/iurie-sw/geonkick/-/issues/158"
   rm -v plugin/lv2/${pkgname}.lv2/*.so
 }
 


More information about the arch-commits mailing list